TEMPLATE = app

CONFIG  += qt thread warn_on release

HEADERS	= pdn.h pdnpreview.h \
	    field.h \
	    checkers.h echeckers.h rcheckers.h \
	    toplevel.h \
	    clientsocket.h serversocket.h \
	    console.h \
	    view.h \
	    newgamedlg.h \
	    config.h \
	    player.h humanplayer.h computerplayer.h networkplayer.h
	   

SOURCES	= pdn.cc pdnpreview.cc \
	    field.cc \
	    checkers.cc echeckers.cc rcheckers.cc \
	    toplevel.cc \
	    main.cc \
	    serversocket.cc clientsocket.cc \
	    console.cc \
	    view.cc \
	    newgamedlg.cc \
	    humanplayer.cc computerplayer.cc networkplayer.cc

IMAGES	+=  png/biglogo.png png/fileopen.png png/filesave.png png/stop.png \
	    png/dialog.png  png/undo.png png/exit.png png/info.png \
	    png/next.png png/context.png png/logo.png
IMAGES	+=  png/small_green1.png  png/small_green2.png  png/small_green3.png \
	    png/small_marble1.png png/small_marble2.png png/small_marble3.png \
	    png/small_wooden1.png png/small_wooden2.png png/small_wooden3.png
IMAGES	+=  png/small_kingwhite.png png/small_manblack.png \
	    png/small_manwhite.png  png/small_kingblack.png
IMAGES	+=  png/big_green1.png  png/big_green2.png  png/big_green3.png \
	    png/big_marble1.png png/big_marble2.png png/big_marble3.png \
	    png/big_wooden1.png png/big_wooden2.png png/big_wooden3.png
IMAGES	+=  png/big_kingwhite.png png/big_manblack.png \
	    png/big_manwhite.png  png/big_kingblack.png
IMAGES	+=  png/clear.png png/console.png

TARGET	= kcheckers

TRANSLATIONS	= i18n/kcheckers_de.ts i18n/kcheckers_ru.ts
#		i18n/kcheckers_fr.ts

target.path	= /usr/local/bin
INSTALLS	+= target

#
# this hacking is needed for i18n support
#
system (echo -n "share.path = " > .tmp) {}
system (grep SHARE_PATH config.h | cut -d"\"" -f2 >>  .tmp) {
    include(.tmp)
}
system (echo -n "share.files = " > .tmp) {}
system (ls -m i18n/*.qm | tr "," " ">> .tmp) {
    include(.tmp)
    }
share.files	+= kcheckers.pdn COPYING AUTHORS ChangeLog README
INSTALLS	+= share

